%define with_pam 1

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Library for getting and setting POSIX.1e capabilities
Name:      	libcap
Version:   	2.18
Release:   	2
License: 	GNU/GPL
Url:		ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/
Group:     	System/Libraries
Source0: 	libcap-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Require for rpm lzma compression transition
# Requires:        rpm >= 4.4.2.3-1

%if %{with_pam}
BuildRequires:	pam-devel
%endif

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libattr-devel

%description
libcap is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%package devel
Summary: 	libcap development headers.
Group:     	System/Libraries
Requires: 	libcap = %{version}

%description devel
Header and include files for developing applications with libcap.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n libcap-%{version}

%build
make PREFIX=/usr LIBDIR=/usr/lib && make

%install
rm -rf ${RPM_BUILD_ROOT}
make install FAKEROOT=${RPM_BUILD_ROOT} \
             LIBDIR=${RPM_BUILD_ROOT}/usr/lib \
             SBINDIR=${RPM_BUILD_ROOT}/usr/sbin \
             INCDIR=${RPM_BUILD_ROOT}/usr/include \
             MANDIR=${RPM_BUILD_ROOT}/usr/share/man
chmod +x ${RPM_BUILD_ROOT}/usr/lib/*.so.*

mkdir -p ${RPM_BUILD_ROOT}/lib/security/
mv ${RPM_BUILD_ROOT}/usr/lib/security/pam_cap.so ${RPM_BUILD_ROOT}/lib/security/
rm -rf ${RPM_BUILD_ROOT}/usr/lib/security

%files
%defattr(-,root,root)
%{_sbindir}/capsh
%{_sbindir}/getcap
%{_sbindir}/getpcaps
%{_sbindir}/setcap
%{_libdir}/libcap.so.*
%{_mandir}/man1/capsh.1.gz
%{_mandir}/man8/getcap.8.gz
%{_mandir}/man8/setcap.8.gz
%if %{with_pam}
/lib/security/pam_cap.so
%endif

%files devel
%defattr(-,root,root)
%{_includedir}/sys/capability.h
%{_libdir}/libcap.a
%{_libdir}/libcap.so
%{_mandir}/man3/cap_clear.3.gz
%{_mandir}/man3/cap_clear_flag.3.gz
%{_mandir}/man3/cap_compare.3.gz
%{_mandir}/man3/cap_copy_ext.3.gz
%{_mandir}/man3/cap_copy_int.3.gz
%{_mandir}/man3/cap_dup.3.gz
%{_mandir}/man3/cap_free.3.gz
%{_mandir}/man3/cap_from_name.3.gz
%{_mandir}/man3/cap_from_text.3.gz
%{_mandir}/man3/cap_get_fd.3.gz
%{_mandir}/man3/cap_get_file.3.gz
%{_mandir}/man3/cap_get_flag.3.gz
%{_mandir}/man3/capgetp.3.gz
%{_mandir}/man3/cap_get_pid.3.gz
%{_mandir}/man3/cap_get_proc.3.gz
%{_mandir}/man3/cap_init.3.gz
%{_mandir}/man3/cap_set_fd.3.gz
%{_mandir}/man3/cap_set_file.3.gz
%{_mandir}/man3/cap_set_flag.3.gz
%{_mandir}/man3/capsetp.3.gz
%{_mandir}/man3/cap_set_proc.3.gz
%{_mandir}/man3/cap_size.3.gz
%{_mandir}/man3/cap_to_name.3.gz
%{_mandir}/man3/cap_to_text.3.gz
%{_mandir}/man3/libcap.3.gz


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jan 09 2010 Christian Wasem <arcam@ccux-linux.de> 2.18-2
- removed rpm as a require
* Thu Jan 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.18-1
- version update
* Wed Jul 29 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.16-1
- version update
* Sat Jul 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.11-2
- removed fake provide libcap.so.1
* Fri Jul 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.11-1
- version update
* Wed Jan 25 2005 Christian Metzen <metzench@ccux-linux.de> 1.10-1
- Initial Release
